FROM python:3.12-slim

WORKDIR /app

COPY requirements.txt .

RUN pip install --no-cache-dir -r requirements.txt

COPY app.py .

# Copy the dashboard folder
COPY q1-deploy-monitor q1-deploy-monitor

EXPOSE 5000

CMD ["python", "app.py"]
